//
//  PSPWSyncMovies.h
//  PSPWare
//
//  Created by Maksim Rogov on Tue Mar 08 2005.
//  Copyright (c) 2005 Nullriver, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "PSPWSyncModule.h"

@interface PSPWSyncMovies : PSPWSyncModule {

}

// External
+ (NSTask *)convertMovie:(NSString *)sourceMoviePath delegate:(id)theDelegate;
+ (NSString *)moveConvertedMovieNamed:(NSString *)movieName;
+ (NSString *)nextAvailableMovieId;
+ (void)deleteMovieWithIdentifier:(NSString *)movieIdentifier;
+ (void)renameMovieWithIdentifier:(NSString *)movieIdentifier newName:(NSString *)newMovieName;

@end
